package com.bocloud.sms.booter.websocket.model;

public class LogViewMessage {

	private boolean success;
	private MessageCategory category;
	private String content;
	private Long position;

	/**
	 * @return the success
	 */
	public boolean isSuccess() {
		return success;
	}

	/**
	 * @param success the success to set
	 */
	public void setSuccess(boolean success) {
		this.success = success;
	}

	/**
	 * @return the category
	 */
	public MessageCategory getCategory() {
		return category;
	}

	/**
	 * @param category the category to set
	 */
	public void setCategory(MessageCategory category) {
		this.category = category;
	}

	/**
	 * @return the content
	 */
	public String getContent() {
		return content;
	}

	/**
	 * @param content the content to set
	 */
	public void setContent(String content) {
		this.content = content;
	}

	/**
	 * @return the position
	 */
	public Long getPosition() {
		return position;
	}

	/**
	 * @param position the position to set
	 */
	public void setPosition(Long position) {
		this.position = position;
	}

	public LogViewMessage() {
		super();
	}

	public LogViewMessage(String content) {
		this.category = MessageCategory.VIEW_LOG;
		this.content = content;
	}

	public LogViewMessage(String content, Long position) {
		this.category = MessageCategory.VIEW_LOG;
		this.content = content;
		this.position = position;
	}

	public LogViewMessage(Boolean success, String content, Long position) {
		this.success = success;
		this.category = MessageCategory.VIEW_LOG;
		this.content = content;
		this.position = position;
	}

}
