package com.bocloud.sms.monitor;

/**
 * @author tyl
 * @time 2019/11/19 周二 11:49
 */

import com.alibaba.fastjson.JSONObject;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * zk节点信息实体类
 * @author zhangyf
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ZooKeeper {
    /**
     * 节点ip地址和端口
     */
    private String hostPort; 
    /**
     * 节点状态
     */
    private String status; 
    /**
     * 监控信息
     */
    private JSONObject monitorInfo;
}
